var
  i, j: integer;
begin
  assign(output, 'input.txt'); rewrite(output);
  writeln('50 50');
  for i := 1 to 50 do begin
    for j := 1 to i do
      write(2, ' ');
    for j := i + 1 to 50 do
      write(0, ' ');
    writeln;
  end;  
  close(output);
end.